/* Modifications Copyright 2000 Compaq Computer Corporation */
/*
 * @(#)byteorder_md.h	1.12 00/02/02
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

/*
 * Solaris-dependent byte order include
 */

#ifndef _JAVASOFT_SOLARIS_BYTE_MD_H_
#define _JAVASOFT_SOLARIS_BYTE_MD_H_

/*** OSF/cds - was sys/byteorder.h in Sun dist. ***/
/*** #include <sys/byteorder.h> ***/
/* BP include these (sys/types,machine/endian) instead of sys/byteorder */
/*** DEC Java: MB For VMS, do not include sys/types.h or machine/endian.h ***/
#ifndef __VMS
#include <sys/types.h>
#ifdef __tru64
#include <machine/endian.h>
#else
#include <endian.h> /* DEC Java HDS for linux */
#endif
#endif

#define JAVA_BYTE_ORDER BYTE_ORDER  /*** OSF/cds - simplified for DEC case ***/

/*** OSF/cds - macros sswapbytes, sswaptomsb and array_sswaptomsb added by OSF ***/
/* Swap bytes in an unsigned short */
#define sswapbytes(s) (((ushort_t)((s) & 0x00ff) << 8) | \
                     ((ushort_t)((s) & 0xff00) >> 8))

/* Order bytes in an unsigned short according to MSB first order */
#define sswaptomsb(s) sswapbytes((s))

#include <netinet/in.h>
/* Order bytes in an unsigned short "string" according to MSB first order.
* 'len' is the number of significative ushorts in the 'from' string.
* Assumption: there is enough place to store the converted string at the
* 'to' destination.
*/
#define array_sswaptomsb(from,to,len)       \
        {                                   \
        int i;                            \
        for (i=0; i<len; i++)             \
             to[i] = sswaptomsb(from[i]); \
      }

#endif /* !_JAVASOFT_SOLARIS_BYTE_MD_H_ */
